#if !defined(AFX_TRIGGER_H__D99DFC3C_43F6_4D80_9C0B_C56CBCADBB1D__INCLUDED_)
#define AFX_TRIGGER_H__D99DFC3C_43F6_4D80_9C0B_C56CBCADBB1D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Trigger.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTrigger dialog

class CTrigger : public CDialog
{
// Construction
public:
	CTrigger(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTrigger)
	enum { IDD = IDD_TRIGGER };
	BOOL	m_noTrig;
	BOOL	m_OptTrig;
	BOOL	m_ExtTrig;
	BOOL	m_BothEdgesElectr;
	BOOL	m_OneTimeElectr;
	BOOL	m_FallEdgeElectr;
	BOOL	m_FallEdgeOneTineOpt;
	BOOL	m_FallEdgeOpt;
	BOOL	m_RisingEdgeElectr;
	BOOL	m_RisingEdgeOneTimeOpt;
	BOOL	m_RisingEdgeOpt;
	BOOL	m_ThreshOpt;
	CString	m_TrigIntensity;
	CString	m_TrigWavelength;
	//}}AFX_DATA

	int TrigStat; //0-no trig; 1-ext.trig; 2-optical trig.
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTrigger)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTrigger)
	afx_msg void OnNotrig();
	afx_msg void OnExttrig();
	afx_msg void OnOpttrigg();
	afx_msg void OnOnbothedgeselectr();
	afx_msg void OnOnfalledgeelectr();
	afx_msg void OnOnfalledgeonetimeopt();
	afx_msg void OnOnfalledgeopt();
	afx_msg void OnOnrisingedgeelectr();
	afx_msg void OnOnrisingedgeonetimeopt();
	afx_msg void OnOnrisingedgeopt();
	afx_msg void OnOnthrhopt();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRIGGER_H__D99DFC3C_43F6_4D80_9C0B_C56CBCADBB1D__INCLUDED_)
